OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.PixelDataRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVPixelDataRange :: MonadIO m => m Bool
- gl_NV_pixel_data_range :: Bool
- pattern GL_READ_PIXEL_DATA_RANGE_LENGTH_NV :: GLenum
- pattern GL_READ_PIXEL_DATA_RANGE_NV :: GLenum
- pattern GL_READ_PIXEL_DATA_RANGE_POINTER_NV :: GLenum
- pattern GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV :: GLenum
- pattern GL_WRITE_PIXEL_DATA_RANGE_NV :: GLenum
- pattern GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV :: GLenum
- glFlushPixelDataRangeNV :: MonadIO m => GLenum -> m ()
- glPixelDataRangeNV :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetNVPixelDataRange :: MonadIO m => m Bool Source #

Is the NV_pixel_data_range extension supported?

gl_NV_pixel_data_range :: Bool Source #

Is the NV_pixel_data_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVPixelDataRange` in those cases instead.

# Enums

pattern GL_READ_PIXEL_DATA_RANGE_LENGTH_NV :: GLenum Source #

pattern GL_READ_PIXEL_DATA_RANGE_NV :: GLenum Source #

pattern GL_READ_PIXEL_DATA_RANGE_POINTER_NV :: GLenum Source #

pattern GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV :: GLenum Source #

pattern GL_WRITE_PIXEL_DATA_RANGE_NV :: GLenum Source #

pattern GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV :: GLenum Source #

# Functions

glFlushPixelDataRangeNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type PixelDataRangeTargetNV.
-> m () |

glPixelDataRangeNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type PixelDataRangeTargetNV.
-> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `length` elements of type `a`.
-> m () |